
#include <qapplication.h>
#include <qvaluelist.h>

#include "qplayer.h"

int main( int argc, char ** argv )
{
	uint t;
	QApplication a( argc, argv );
	QPlayer w;
	w.show();
	if (argc > 1)	{
		QValueList<QString> listVideos;
		for (t=1;t<(uint)argc;t++)
			listVideos.append (QString (argv[t]));
		w.setFileList (listVideos, false);
	}
	a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );
	return a.exec();
}
